Skip to content
Documentation

Managing Units

GET /repositories/{repository}/units

Returns an array of all units stored in the repository.

The intervalTransformationMethod value determines how data in this unit is aggregated when reading at a different interval (e.g., averaging power values vs. summing energy values).

Request

POST /repositories/{repository}/units

Request Body

{
"symbol": "A",
"intervalTransformationMethod": 2
}
GET /repositories/{repository}/units/{unit}

The {unit} path segment is the unit symbol (e.g., W, kWh, A).

Request

PUT /repositories/{repository}/units/{unit}

Request Body

{
"symbol": "A",
"intervalTransformationMethod": 1
}
DELETE /repositories/{repository}/units/{unit}

Time-dependent unit conversions use a dedicated time series to store conversion factors that change over time (e.g., exchange rates). To retrieve all configured time-dependent unit conversions:

GET /repositories/{repository}/units/timedependent

Since time-dependent unit conversions are nothing more than time series themselves, the assignment is of the type “assigning one time series to another”.

GET /repositories/{repository}/timeSeries/{timeSeries}/assignments/timeSeries

Request

POST /repositories/{repository}/timeSeries/{timeSeries}/assignments/timeSeries

Request Body

{
"storageInformation": {
"repositoryName": "string"
},
"identifier": 2
}

Where the time series with the id == 2 is the conversion time series.

The body must consist of a list of new assignments.

Request

PUT /repositories/{repository}/timeSeries/{timeSeries}/assignments/timeSeries

Request Body

[
{
"storageInformation": {
"repositoryName": "TSM_SQLSERVER"
},
"identifier": 3
},
{
"storageInformation": {
"repositoryName": "TSM_SQLSERVER"
},
"identifier": 4
}
]
DELETE /repositories/{repository}/timeSeries/{timeSeries}/assignments/timeSeries
DELETE /repositories/{repository}/timeSeries/{timeSeries}/assignments/timeSeries/{assignedTimeSeries}

The last path segment accepts the name of the assigned time series or its ID prefixed with id:.

A time series can be defined without a unit by omitting the unit property in the time series definition or setting it to null.

© 2026 Volue.Version v0.6.38017 November 2026